the latest versions of Tortoise SVN don't play nice with Kerberos

360 views
Skip to first unread message

Crozier, Paul S

unread,
Aug 13, 2010, 11:48:19 AM8/13/10
to us...@tortoisesvn.tigris.org
Apparently, the latest versions of Tortoise SVN don't play nice with Kerberos. The error we see is an authentication failure with the message "could not parse challenge."  Therefore, if you try to access an SVN repository on a Kerberos machine using a version of Tortoise that is 1.6.7 or newer, it will give you an authentication failure error message. So the work-around is to uninstall and downgrade Tortoise SVN to 1.6.5. Not good.
 
Paul
 
 
 

Andy Levy

unread,
Aug 13, 2010, 12:25:08 PM8/13/10
to us...@tortoisesvn.tigris.org

Before assuming that it's TSVN, test with the command-line client.
TSVN uses the Subversion libraries for most things, so it's possible
that the bug is in there and should be reported on that mailing list.

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2646563

To unsubscribe from this discussion, e-mail: [users-un...@tortoisesvn.tigris.org].

Stefan Küng

unread,
Aug 13, 2010, 3:46:45 PM8/13/10
to us...@tortoisesvn.tigris.org

That's a known issue with the neon library. We're all waiting for the
next release of neon...

Stefan

--
___
oo // \\ "De Chelonian Mobile"
(_,\/ \_/ \ TortoiseSVN
\ \_/_\_/> The coolest Interface to (Sub)Version Control
/_/ \_\ http://tortoisesvn.net

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2646622

Wolfgang Küspert

unread,
Mar 11, 2011, 8:26:17 AM3/11/11
to us...@tortoisesvn.tigris.org
Hi all,

what's the status of this issue? The last version of neon library is from 14 Oct 2010... Did there change anything?
Are there any workarounds for the problem that some requests from the tsvn client are failing to authenticate via kerberos?

Wolfgang

Stefan Küng

unread,
Mar 12, 2011, 3:33:56 AM3/12/11
to us...@tortoisesvn.tigris.org

If you're using Kerberos, you could try a nightly build. In the nightly
builds, TSVN will use the kerberos dlls (in case you have them installed).

Stefan

--
___
oo // \\ "De Chelonian Mobile"
(_,\/ \_/ \ TortoiseSVN
\ \_/_\_/> The coolest Interface to (Sub)Version Control
/_/ \_\ http://tortoisesvn.net

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2711091

Wolfgang...@rehau.com

unread,
Mar 14, 2011, 4:41:05 AM3/14/11
to us...@tortoisesvn.tigris.org
We've tried the nightly - no success. In fact nothing works now with Kerberos - only Basic can be used.
What do you mean exactly by saying "use the kerberos dlls (in case you have them installed)"? Do I have to activate/configure something within tortoise?

The last stable release (1.6.13.20954 - x64) is working very well here. Checkout, Update, Commit, viewing history etc. is working fine. Tsvn negotiates via neon correctly - except if you're using Branching/Tagging for example. And that's the really strange behavior as I don't see any differences regarding the WebDAV commands used. In the first case it is working, in the second not :-(

Wolfgang

_______________________________________________________________________

REHAU AG + Co, Kommanditgesellschaft;
Persoenlich haftende Gesellschafterin: Helmut Wagner AG 3074 Muri b. Bern, Schweiz;
Praesident des Verwaltungsrats: Helmut Wagner, HR Bern CH-035.3.002.903-7;
Sitz der Gesellschaft: Rehau;
Registergericht: Hof, HRA 2232

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2711378

Stefan Küng

unread,
Mar 14, 2011, 3:37:06 PM3/14/11
to us...@tortoisesvn.tigris.org
On 14.03.2011 09:41, Wolfgang...@rehau.com wrote:
> We've tried the nightly - no success. In fact nothing works now with
> Kerberos - only Basic can be used. What do you mean exactly by saying
> "use the kerberos dlls (in case you have them installed)"? Do I have
> to activate/configure something within tortoise?

Install kerberos:
http://www.secure-endpoints.com/#kfw
http://web.mit.edu/Kerberos/dist/index.html#kfw-3.2

Stefan

--
___
oo // \\ "De Chelonian Mobile"
(_,\/ \_/ \ TortoiseSVN
\ \_/_\_/> The coolest Interface to (Sub)Version Control
/_/ \_\ http://tortoisesvn.net

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2711480

Wolfgang...@rehau.com

unread,
Mar 15, 2011, 5:52:42 AM3/15/11
to us...@tortoisesvn.tigris.org

Sorry, but this doesn't make any differences here as far as I can see.
I even tried uninstalling everything, install MIT Kerberos first and TortoiseSVN 1.6.99.19540 as last one. But again, no difference.
Do I have to enable the usage of MIT Kerberos within Tortoise?

By doing an Update I get the following error message:

Error PROPFIND of '/<repository>/trunk/test': authorization failed: Could not authenticate to
Error server: could not parse challenge (https://<our.svn.fqdn>)

Wolfgang

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2711602

Wolfgang...@rehau.com

unread,
Mar 17, 2011, 7:13:04 AM3/17/11
to us...@tortoisesvn.tigris.org
Some ideas anybody out there?

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2712131

Achim Dreyer

unread,
Mar 24, 2011, 5:47:23 AM3/24/11
to us...@tortoisesvn.tigris.org, Wolfgang...@rehau.com
Any ideas?
I run into the same problem.
We need a solution very quickly.

Kind Regards
Achim Dreyer

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2713759

Andy Levy

unread,
Mar 24, 2011, 6:50:30 AM3/24/11
to us...@tortoisesvn.tigris.org
On Thu, Mar 24, 2011 at 05:47, Achim Dreyer <ac...@dreyeronline.de> wrote:
> Any ideas?
> I run into the same problem.
> We need a solution very quickly.
>

Please quote context (the message you're replying to). Your subject
line is cut off and it's impossible to know what you're referring to.

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2713777

Achim Dreyer

unread,
Mar 24, 2011, 9:30:31 AM3/24/11
to us...@tortoisesvn.tigris.org, Wolfgang...@rehau.com
We also run into this problem with the current TortoiseSVN Version (Nightly Build also) and our repository with kerberos authentication.
We need an urgent solution because of at the moment there is no tagging/branching possible.

Thanks a lot
Kind Regards
Achim


> > Install kerberos:
> > http://www.secure-endpoints.com/#kfw
> > http://web.mit.edu/Kerberos/dist/index.html#kfw-3.2
>
> Sorry, but this doesn't make any differences here as far as I can see.
> I even tried uninstalling everything, install MIT Kerberos first and TortoiseSVN 1.6.99.19540 as last one. But again, no difference.
> Do I have to enable the usage of MIT Kerberos within Tortoise?
>
> By doing an Update I get the following error message:
>
> Error PROPFIND of '/<repository>/trunk/test': authorization failed: Could not authenticate to
> Error server: could not parse challenge (https://<our.svn.fqdn>)
>
> Wolfgang

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2713813

Felix Saphir

unread,
Mar 24, 2011, 9:34:53 AM3/24/11
to us...@tortoisesvn.tigris.org
Am 24.03.2011 14:30, schrieb Achim Dreyer:
> We also run into this problem with the current TortoiseSVN Version
> (Nightly Build also) and our repository with kerberos
> authentication. We need an urgent solution because of at the moment
> there is no tagging/branching possible.
>
>>> Install kerberos: http://www.secure-endpoints.com/#kfw
>>> http://web.mit.edu/Kerberos/dist/index.html#kfw-3.2
>>
>> Sorry, but this doesn't make any differences here as far as I can
>> see. I even tried uninstalling everything, install MIT Kerberos
>> first and TortoiseSVN 1.6.99.19540 as last one. But again, no
>> difference. Do I have to enable the usage of MIT Kerberos within
>> Tortoise?
>>
>> By doing an Update I get the following error message:
>>
>> Error PROPFIND of '/<repository>/trunk/test': authorization
>> failed: Could not authenticate to Error server: could not parse
>> challenge (https://<our.svn.fqdn>)

Does downgrading to 1.6.5 help? That's the workaround suggested in the
original post. It's a pretty old version, but since it's urgent for you ...

Felix

P.S. Please don't top-post

------------------------------------------------------
http://tortoisesvn.tigris.org/ds/viewMessage.do?dsForumId=4061&dsMessageId=2713814

Reply all
Reply to author
Forward
0 new messages